EDIT - bug #6627

Remaining cdm light issues
05/08/2017 03:53 PM - Katja Luther

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Katja Luther % Done: 60%
Category: cdmadapter Estimated time: 0:00 hour
Target version: Release 5.8

Severity: normal Found in Version:

Description

¢ Instance name and instance ID

e TitePageYear (in 5.0)

¢ Discuss whether we should handle the citation facts separate to the other simple facts because it is confusing that the row in the
simple fact table is no information.

add export of usage data

add export of annotations

¢ add-expertef-namefacts

Open "bugs" from WGB:

e User friendly result
* Sonderzeichen

add export of individualsAsseciations and TFaxeninteractions

Related issues:

Related to EDIT - feature request #6752: Add verbatimDate

Related to EDIT - task #6754: Adapt DwcA Export to CDM light export strategy
Related to EDIT - bug #6968: Unexpected error in CDM light when exporting Ind...

Related to EDIT - feature request #7334: Make pro parte and partial synonyms ...

Related to EDIT - feature request #8175: add name facts to cdm light export

Related to EDIT - feature request #8322: add sortindex to cdm light export

Related to EDIT - feature request #6516: Add instance name and instance ID to...

Precedes EDIT - feature request #8412: Remaining issues for cdm light export ...

Copied from EDIT - feature request #6314: CDM light (csv) export implemented
Associated revisions

Revision cbcb3b1b - 06/12/2017 10:02 AM - Katja Luther

changes for outputmodel: encoding, shortCitation

Revision 3dfcbfee - 06/12/2017 10:26 AM - Katja Luther

minor

Revision 18d660e0 - 06/12/2017 02:53 PM - Katja Luther

fix specimen fact export

Revision 70e986c5 - 06/13/2017 09:08 AM - Katja Luther

outputmodel reference title for books

Revision 38181dd6 - 06/16/2017 09:54 AM - Andreas Miiller
ref #6627 fix Taxon_FK Problem in OutputModelClassificationExport for SimpleSpecimen

Revision b8a2atad - 06/16/2017 11:43 AM - Andreas Miiller
ref #6627 add error handling to CDM light export

Revision fed12afd - 06/16/2017 12:40 PM - Andreas Miiller
ref #6627 add error handling to CDM light export (1)

Revision 7¢c83c6af - 06/19/2017 09:49 AM - Katja Luther

csv light export: smaller changes in specimen.locality and reference.shortCitation

Revision a67200bf - 06/19/2017 10:04 AM - Katja Luther

csv light export: smaller changes in scientificName: year published and volume for booksections

Revision €75532a6 - 06/19/2017 01:23 PM - Katja Luther

smaller changes in wizard for file export

Revision fé6b1d0ad - 06/19/2017 02:12 PM - Katja Luther

rename outputmodel -> cdmLight

Revision 3510f376 - 06/19/2017 02:41 PM - Katja Luther
outputmodel -> cdmLight

Revision ¢7794cca - 06/20/2017 09:15 AM - Katja Luther

cdmLight export configurator: configure whether result is a zip file or not

Revision 0b4f079d - 06/20/2017 10:25 AM - Katja Luther

cdmLight Export create zip is configurable and save last export folder

Revision 75f480ed - 06/23/2017 02:01 PM - Katja Luther

reorganize publication date output in cdm light export

Revision d07¢c4f93 - 06/26/2017 10:34 AM - Andreas Miiller
ref #6627 adapt error handling for cdm ligth export

Revision f0a54536 - 06/26/2017 10:37 AM - Andreas Miiller
ref #6627 adapt handling of state in OutputModelResultProcessor

Revision 4f831acf - 06/26/2017 10:44 AM - Andreas Miiller
ref #6627 adapt handling of state in OutputModelResultProcessor
Revision 68ce58c8 - 06/26/2017 12:58 PM - Andreas Miiller
ref #6627 Adapt OutputModelExportActivator to new name

Revision 68a2b5ca - 06/27/2017 12:06 AM - Andreas Miiller
ref #6627 improve export result handling for cdm light

Revision c0975422 - 06/27/2017 02:01 PM - Katja Luther

minor

Revision b42a4bcb - 06/28/2017 09:28 AM - Katja Luther

minor

Revision 5bd3fdaf - 06/28/2017 09:45 AM - Katja Luther

minor

Revision cfe7511f - 07/05/2017 10:27 AM - Katja Luther

ref #6627: avoid NPE when children list contains null values

Revision 430901e7 - 07/06/2017 03:42 PM - Katja Luther

ref #6627: avoid NPE when children list contains null values

Revision e5¢27931 - 09/01/2017 08:22 AM - Katja Luther

ref #6627: facts containing only media exported to an media table

Revision 86244fd8 - 09/20/2017 10:09 AM - Katja Luther

ref #6627: use taxonnodeFilter and partitioner for cdmLightExport

Revision 417a8287 - 10/16/2017 12:36 PM - Katja Luther

move initialize to constructor and small changes in cdmlightexport

Revision 2985a328 - 01/08/2018 09:23 AM - Katja Luther

add proparte synonym information to csv light export

Revision b436f19a - 05/16/2018 02:27 PM - Andreas Miiller

ref #7334, ref #6627 Adapted CDM light to support pp synonyms (cont.)

Revision 46d5e141 - 05/17/2018 10:32 AM - Andreas Miller
ref #6752, ref #6627 fill verbatimDate in CDM light

Revision 1610138 - 03/21/2019 10:35 AM - Katja Luther

ref #6627: add import of taxon interactions to cdmlight

Revision 1b2d19db - 03/21/2019 11:34 AM - Katja Luther

ref #6627: add import of taxon interactions to cdmlight - continue

Revision e17658f6 - 04/15/2019 03:53 PM - Katja Luther

ref #6627: add import of taxon interactions to cdmlight

Revision 1734056f - 04/15/2019 03:53 PM - Katja Luther

ref #6627: add import of taxon interactions to cdmlight - continue

History

#1 - 05/08/2017 03:53 PM - Katja Luther

- Related to feature request #6314: CDM light (csv) export implemented added

#2 - 05/08/2017 11:56 PM - Andreas Miller
- Related to deleted (feature request #6314: CDM light (csv) export implemented)

#3 - 05/08/2017 11:56 PM - Andreas Miiller
- Copied from feature request #6314: CDM light (csv) export implemented added

#4 - 06/01/2017 11:23 AM - Andreas Miiller
- Description updated

#5 - 06/01/2017 11:24 AM - Andreas Miiller
- Blocked by feature request #6516: Add instance name and instance ID to CDM meta data added

#6 - 06/09/2017 12:48 PM - Andreas Miiller
- Description updated

#7 - 06/09/2017 12:56 PM - Andreas Miiller

- Description updated

#8 - 06/13/2017 01:27 PM - Katja Luther

Katja Luther wrote:

¢ Instance name and instance ID

TitlePageYear

add export of usage data

add export of annotations

¢ add export of IndividualsAsseeiations and TaxonlInteractions

Open "bugs" from WGB:

e User friendly result
¢ Sonderzeichen

#9 - 06/16/2017 09:53 AM - Andreas Miiller

- Description updated

#10 - 06/23/2017 01:22 PM - Katja Luther

Hallo,

wir haben Zitate, die z.B. folgendermafB3en aussehen:

Mauria heterophylla Kunth, Nov. Gen. Sp. 7: 13-14, t. 606. "1825" [1824].
Das ist aus der Salvador Datenbank

Basellaceae Raf., Fl. Tellur. 3: 44. "1836" [1837]. nom. cons.

aus Caryophyllales_spp

Das bedeutet, dass das gedruckte Datum (in Anfihrungsstrichen, meist auf der Titelseite) falsch ist, und die Publikation wirklich erst im in eckigen

Klammern angegebenen Jahr erfolgte. (Es gibt auch noch andere Schreibweisen, dies scheint mir aber die eindeutigste von den Kurzformen zu sein;
IPNI macht’s neuerdings ganz ausfihrlich:
Leuenbergeria Lodé -- Cact.-Avent. Int. 97: 26. 2012 [dt. Jan 2013; issued 28 Dec 2012] ).

Im CDM habe wir keine atomisierte Angabe des TitlePageYears (also der Angabe in Anflhrungszeichen), die man aber besser in ,VerbatimDate*
oder ,VerbatimPublicationDate* umtaufen sollte.

Im Editor wird das korrekte Publikationsjahr (hier 1889) fir das atomisierte Date genommen, ein Feld fir das auf der Titelseite (falschlich)
angegebene gibt es noch nicht, daher schreiben wir den ganzen string in der von uns gewlinschten Formatierung in das Freetext Feld, das dann,
wenn vorhanden, bevorzugt in die Ausgabe genommen wird:

Im Export haben wir nun drei Spalten, DatePublished, YearPublished und TitlePageYear und Du hast recht, das geht noch ein bisschen
durcheinander. Bisher scheint es so zu sein:

Bei PublicationDate kommt der Freetext heraus, wenn vorhanden, sonst das atomisierte Jahr.

Bei PublicationYear kommt das atomisierte Jahr (ggf. als Range)

Bei TitlePageYear garnichts.

In meiner Ausgabe habe ich daher immer das PublicationDate benutzt.

Ich schlage vor, das gleich langfristig in Ordnung zu bringen:
PublicationDate: Der Start/End Date Range.
PublicationYear: Nur das Jahr aus dem Start/End Date Range

@Andreas — ist eine Angabe des ,VerbatimDate* im Modell angedacht? Wenn ja, sollten wir das TitlePageYear in VerbatimYear umbenennen und in
der Ausgabe lassen, zwecks spaterer Nutzung, jetzt aber leer.

Wenn nicht, sollten wir das TitlePageYear rauslassen und statt dessen eine Spalte ,OutputDate” einfligen, in der dann das steht, was bisher in das
PublicationDate geschrieben wurde, also Freetext und wenn dieser leer das PublicationDate (range).

Wenn Du das so einrichtest, sag‘ mir bitte Bescheid, wie bei jeder Strukturanderung muss ich das dann in meinen Ausgaben entsprechend &ndern.

Herzlichen Gruf3
Walter

#11 - 06/23/2017 01:52 PM - Andreas Miiller
- Related to feature request #6752: Add verbatimDate added

#12 - 06/26/2017 10:21 AM - Andreas Miiller
- Related to task #6754: Adapt DwcA Export to CDM light export strategy added

#13 - 07/07/2017 01:33 PM - Andreas Miiller

- Subject changed from Remaining output model issues to Remaining cdm light issues

#14 - 07/21/2017 11:58 AM - Katja Luther

- Target version changed from Release 4.8 to Release 4.10

#15 - 09/21/2017 04:30 PM - Andreas Miiller
- Related to bug #6968: Unexpected error in CDM light when exporting Individuals Association with no unit attached added

#16 - 09/24/2017 12:22 AM - Andreas Miiller

- Target version changed from Release 4.10 to Release 4.11

#17 - 11/08/2017 11:20 AM - Andreas Miiller

- Target version changed from Release 4.11 to Release 4.12

#18 - 12/05/2017 02:16 PM - Andreas Miiller

- Target version changed from Release 4.12 to Release 4.13

#19 - 01/08/2018 10:31 AM - Katja Luther

the isProParte flag is added to the synonym table

#20 - 01/31/2018 12:45 PM - Andreas Miiller

- Target version changed from Release 4.13 to Release 4.14

#21 - 02/15/2018 03:23 PM - Andreas Miiller

- Target version changed from Release 4.14 to Release 5.0
#22 - 05/16/2018 02:12 PM - Andreas Miiller

- Related to feature request #7334: Make pro parte and partial synonyms real concept relationships added

#23 - 05/17/2018 02:26 PM - Andreas Miiller

- Target version changed from Release 5.0 to Release 5.1

#24 - 05/18/2018 11:01 AM - Andreas Muller
- Description updated
- % Done changed from 0 to 10

#25 - 05/18/2018 11:03 AM - Andreas Miller

- Description updated

#26 - 06/28/2018 12:08 AM - Andreas Miuller

- Target version changed from Release 5.1 to Release 5.2

#27 - 08/17/2018 03:52 PM - Andreas Miiller

- Target version changed from Release 5.2 to Release 5.3

#28 - 09/06/2018 09:09 PM - Katja Luther

- Target version changed from Release 5.3 to Release 5.4

#29 - 10/23/2018 10:41 AM - Andreas Muller

- Target version changed from Release 5.4 to Release 5.5

#30 - 02/06/2019 11:42 AM - Katja Luther
- Description updated

- Target version changed from Release 5.5 to Release 5.6

#31 - 02/19/2019 03:13 PM - Andreas Miiller

- Target version changed from Release 5.6 to Reviewed Next Major Release

#32 - 02/22/2019 10:25 AM - Katja Luther

- Target version changed from Reviewed Next Major Release to Release 5.6

the name facts should be implemented in 5.6

#33 - 02/22/2019 11:18 AM - Andreas Miiller

Can you add the name facts to the TODO list? Is there an explicit ticket?

#34 - 03/12/2019 01:02 PM - Katja Luther

- Description updated

#35 - 03/12/2019 01:06 PM - Katja Luther
- Related to feature request #8175: add name facts to cdm light export added

#36 - 03/12/2019 01:07 PM - Katja Luther

the name facts are implemented now, see #8175

#37 - 03/21/2019 10:36 AM - Katja Luther

- Description updated

#38 - 04/10/2019 12:23 PM - Katja Luther

- Target version changed from Release 5.6 to Release 5.7

#39 - 05/03/2019 04:51 PM - Katja Luther
https://dev.e-taxonomy.eu/redmine/issues/8175

- Target version changed from Release 5.7 to Release 5.8

#40 - 06/03/2019 01:00 PM - Katja Luther
- Related to feature request #8322: add sortindex to cdm light export added

#41 - 07/19/2019 03:27 PM - Andreas Miiller
- Status changed from New to Feedback

- % Done changed from 10 to 60

should we close this ticket and create a new remaining (l1) ticket with the now open issues.

Most of the tasks have been implemented in the meanwhile as it looks like.

#42 - 07/29/2019 10:35 AM - Katja Luther

- Precedes feature request #8412: Remaining issues for cdm light export (Il) added

#43 - 07/29/2019 10:36 AM - Katja Luther

- Status changed from Feedback to Resolved

created a new "remaining issues" ticket and close this one

#44 - 04/29/2022 02:53 PM - Katja Luther

- Blocked by deleted (feature request #6516: Add instance name and instance ID to CDM meta data)

#45 - 04/29/2022 02:53 PM - Katja Luther

- Related to feature request #6516: Add instance name and instance ID to CDM meta data added

#46 - 04/29/2022 02:55 PM - Katja Luther

- Status changed from Resolved to Closed

Close this ticket because a new ticket with remaining issues are created, the blocking ticket is now a related ticket.
